<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="content-header">
    <mb-button [mbIsDisable]="isLoadingPage" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.transferApproval' | translate}}"
        mbButtonTextColor="#141ED2" [customStyle]="true" (click)="approveTranfer()" *ngIf="objFunction?.create">
    </mb-button>
    <mb-button [mbIsDisable]="isLoadingPage" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.transferApprovalAll' | translate}}"
        mbButtonBgColor="#141ED2" mbButtonTextColor="#fff" [customStyle]="true" (click)="showComfirm()" *ngIf="objFunction?.create">
    </mb-button>
</div>

<div>
    <div class="search-container">
        <div nz-row class="search-container__row">
            <div nz-col nzXl="4" nzXXl="6" class="search-container__row--col-text">
                <div class="search-container__label">
                    <span nz-typography class="input__label">{{'modelOrganization.planYear.year' | translate}}</span>
                  </div>
                  <label class="search-container__text-view"> {{objectSearch.periodCode}}</label>

            </div>
            <div nz-col nzXl="5" nzXXl="6" class="search-container__row--col position-relative">
                <mb-input-text mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.chooseUnit' | translate }}"
                    mbType="default" mbLabelText="{{'modelOrganization.planYear.unit' | translate}}" (click)="showPopup()" [(ngModel)]="objectSearch.orgName" [mbReadOnly]="true">
                </mb-input-text>
                <em *ngIf="objectSearch.orgName" nz-icon class="icon-style" (click)="clearOrgInput()"
                nzType="close-circle" nzTheme="outline"></em>
            </div>
            <div nz-col nzXl="5" nzXXl="6" class="search-container__row--col">
                <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId" mbLabelText="Job"
                    mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseJob' | translate}}"
                    [mbOptionHeightPx]="55" [(ngModel)]="objectSearch.jobId">
                </mb-select>
            </div>
            <div class="search-container__row--col-button">
                <mb-button mbButtonType="NO_BORDER" mbButtonSize="MEDIUM"
                    mbButtonText="{{'common.button.search' | translate}}" mbButtonBgColor="#E8EAF6" [customStyle]="true"
                    mbButtonTextColor="#141ED2" (click)="onSearch()"></mb-button>
                <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.dowloadTemplate' | translate}}"
                    mbButtonTextColor="#141ED2" [customStyle]="true" (click)="exportExcel()">
                </mb-button>
                <mb-button mbButtonSize="MEDIUM" mbButtonText="{{'common.button.uploadFile' | translate}}"
                    mbButtonTextColor="#141ED2" [customStyle]="true" (click)="showUpload()">
                </mb-button>
            </div>
        </div>
    </div>

    <div class="table-container ant-table-content">
        <nz-table #basicTable [nzData]="dataTable" [nzFrontPagination]="false" [nzShowPagination]="false"
        [nzScroll]="dataTable?.length > 0 ? {x:'1700px',y:'500px' }: {}" nzTableLayout="fixed" >
            <thead>
                <tr>
                    <th scope="col" [nzChecked]="checked" (nzCheckedChange)="onAllChecked($event)" nzWidth="5%" nzLeft></th>
                    <th scope="col" nzWidth="5%">{{'modelOrganization.table.stt' | translate }}</th>
                    <th scope="col" nzWidth="10%">{{'modelOrganization.planYear.year' | translate}}</th>
                    <th scope="col" nzWidth="45%">{{'modelOrganization.planYear.unitName' | translate}}</th>
                    <th scope="col" nzWidth="25%">{{'modelOrganization.planYear.job' | translate}}</th>
                    <th scope="col" nzWidth="10%" nzRight>{{'modelOrganization.table.demarcationCurrent' | translate}}</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let data of basicTable.data; let i = index">
                    <td [nzChecked]="quantityMap.has(data.hcpId)" (nzCheckedChange)="onItemChecked(data, $event)" nzLeft></td>
                    <td>
                        {{getIndex(i)}}
                    </td>
                    <td>
                        {{data.periodCode}}
                    </td>
                    <td>
                        {{data.pathName}}
                    </td>
                    <td>
                        {{data.jobName}}
                    </td>
                    <td nzRight>
                        <mb-input-text nz-input [(ngModel)]="data.quantity" (keypress)="onKeypress($event)" (mbChange)="changeQuantity($event, data)"
                        mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.typing' | translate}}" (click)="onClick($event)">
                        </mb-input-text>
                    </td>
                </tr>
            </tbody>
        </nz-table>
        <div class="pagination" *ngIf="pagination.result">
            <div class="pagination__table-info">
                <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg">
                <span class="pagination__table-info--text">{{'modelOrganization.paging.find' | translate}}
                    {{pagination.result}} {{'modelOrganization.paging.result' | translate}} {{pagination.min}}
                    {{'modelOrganization.paging.to' | translate}} {{pagination.max}}
                </span>
            </div>
            <nz-pagination [(nzPageIndex)]="pagination.currentPage" [nzTotal]="pagination.totalElement"
                [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon">
            </nz-pagination>
        </div>
    </div>
</div>

